$(document).ready( function () {
    $("#modal-editar-evolucion").on("show.bs.modal", function(event) {
        let button = $(event.relatedTarget);
        let idEvolucion = button.data("id");
        let action = button.data("action");
        let descripcionEvaluacion = button.data("descripcion");
        let fechaEvolucion = button.data("fecha");
        let image = button.data("image");
        let modal = $(this);

        modal.find('form[name="EditarEvolucion"] input[name="txt_fechaEvolucion"]').attr("value", fechaEvolucion);
        modal.find('form[name="EditarEvolucion"] textarea[name="txt_descripcioneval"]').val(descripcionEvaluacion);
        modal.find('form[name="EditarEvolucion"] img[name="imagen"]').attr("src", image);
        modal.find('form[name="EditarEvolucion"]').attr("action", action);
    });
});